# frozen_string_literal: true

require_relative "lib/my_ruby_palindrome/version"

Gem::Specification.new do |spec|
  spec.name          = "my_ruby_palindrome"
  spec.version       = MyRubyPalindrome::VERSION
  spec.authors       = ["Andrex Lorenzini"]
  spec.email         = ["andrea.lorenzini4@gmail.com"]

  spec.summary       = %q{Palindrome detector}
  spec.description   = %q{Learn Enough Ruby palindrome detector}
  spec.homepage      = "https://github.com/taliesin12345/my_ruby_palindrome"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org/"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/taliesin12345/my_ruby_palindrome"
  spec.metadata["changelog_uri"] = "https://github.com/taliesin12345/my_ruby_palindrome/blob/master/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"
  # spec.add_development_dependency "bundler", "~> 2.2.16" # (Michael Hartl's tutorial uses 1.16, if I'm not mistaken)
  # spec.add_development_dependency "rake", "~> 13.0" (already specified in the Gemfile)
  # spec.add_development_dependency "minitest", "~> 5.0" (already specified in the Gemfile)

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
